Bug 371141 - RHN displays warning and shows update for package sysreport yet sysreport belongs to package sos
RHN displays warning and shows update for package sysreport yet sysreport bel...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Navid Sheikhol-Eslami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 08:28 EST by Jóhann B. Guðmundsson
Modified: 2007-11-16 20:15 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 09:00:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2007-11-08 08:28:54 EST
Description of problem:
Log in to RHN and system shows that an update is for
package sysreport. ( Errata RHBA-2007:0692-2 )

Do #yum -y update 
yum exits with No Packages marked for Update/Obsoletion

Do #rpm -qa | grep sysreport
rpm exits with no resault
( package is not installed )

Do #rpm -q --whatprovides sysreport
rpm displays sos-1.7-9.1.el5 

Version-Release number of selected component (if applicable):
sysreport-1.4.3-13.el5

How reproducible:
Repeating above commands

Steps to Reproduce:
1.same command as an above
2.
3.
  
Actual results:
Comes up with nothing

Expected results:
package sysreport being updated.
( or update belonging to sos package )

Additional info:
Manually downloaded package from rhn

did #rpm -Uhv sysreport-1.4.3-13.el5.noarch.rpm
package install, then when I run "yum -y update
Installed: sos.noarch 0:1.7-9.1.el5
Replaced: sysreport.noarch 0:1.4.3-13.el5

Package gets replaced by sos package

Dont know if the problem lies in the sysreport package or in yum/rhn/sos
but I would guess since sysreports belongs to sos the update should applie to
sos package.
Comment 1 Navid Sheikhol-Eslami 2007-11-08 09:00:17 EST
Starting from RHEL5.1, "sos" has replaced and obsoleted "sysreport".

Please see the following KBase article for details:

  http://kbase.redhat.com/faq/FAQ_85_11707

Yum is automatically resolving the dependencies and replacing any "sysreport"
version with the latest "sos" available for RHEL5.1, this is normal.

Thanks.

-- Navid

Note You need to log in before you can comment on or make changes to this bug.